<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:date="http://exslt.org/dates-and-times"
                extension-element-prefixes="date"
                version="1.0">

  <xsl:template match="/">

    right now:
    date:date: <xsl:value-of select="date:date()"/>
    date:date-time: <xsl:value-of select="date:date-time()"/>
    date:day-name: <xsl:value-of select="date:day-name()"/>
    date:day-abbreviation: <xsl:value-of select="date:day-abbreviation()"/>
    date:day-in-week: <xsl:value-of select="date:day-in-week()"/>
    date:day-in-month: <xsl:value-of select="date:day-in-month()"/>
    date:day-in-year: <xsl:value-of select="date:day-in-year()"/>
    date:day-of-week-in-month: <xsl:value-of select="date:day-of-week-in-month()"/>
    date:hour-in-day: <xsl:value-of select="date:hour-in-day()"/>
    date:leap-year: <xsl:value-of select="date:leap-year()"/>
    date:minute-in-hour: <xsl:value-of select="date:minute-in-hour()"/>
    date:month-abbreviation: <xsl:value-of select="date:month-abbreviation()"/>
    date:month-in-year: <xsl:value-of select="date:month-in-year()"/>
    date:month-name: <xsl:value-of select="date:month-name()"/>
    date:second-in-minute: <xsl:value-of select="date:second-in-minute()"/>
    date:time: <xsl:value-of select="date:time()"/>
    date:week-in-year: <xsl:value-of select="date:week-in-year()"/>
    date:year: <xsl:value-of select="date:year()"/>

    with parameter of '2003-07-11' passed:
    date:day-name: <xsl:value-of select="date:day-name('2003-07-11')"/>
    date:day-abbreviation: <xsl:value-of select="date:day-abbreviation
	     ('2003-07-11')"/>
    date:day-in-week: <xsl:value-of select="date:day-in-week('2003-07-11')"/>
    date:day-in-year: <xsl:value-of select="date:day-in-year('2003-07-11')"/>
    date:day-of-week-in-month: <xsl:value-of select="date:day-of-week-in-month
	     ('2003-07-11')"/>
    date:leap-year: <xsl:value-of select="date:leap-year('2003-07-11')"/>
    date:month-abbreviation: <xsl:value-of select="date:month-abbreviation
	     ('2003-07-11')"/>
    date:month-name: <xsl:value-of select="date:month-name('2003-07-11')"/>
    date:week-in-year: <xsl:value-of select="date:week-in-year('2003-07-11')"/>

  </xsl:template>

</xsl:stylesheet>